.def	Null					=r2
.def	SREG_Save				=r3

.def	Timer_PSC				=r4

.def	ADC_IntervalCT			=r9
.def	Di0						=r12
.def	Di1						=r13
.def	Di2						=r14
.def	Di3						=r15

.def	Temp					=r16
.def	TempH					=r17
.def	LEDs					=r18
.def	LeftSlot_PWM			=r19
.def	RightSlot_PWM			=r20
.def	LeftSlot_NegativeCT		=r21
.def	RightSlot_NegativeCT	=r22
.def	Status_Timer			=r23

.def	Temp3					=r24
.def	Temp4					=r25



;Status0 Flagregister
.equ	Status0				=GPIOR0
.equ	_DebugFlag			=0
.equ	_SnifferFlag		=1
.equ	_Measure_Complete	=2
.equ	_BatteryStatus		=3
.equ	_LeftSlot_Active	=4
.equ	_RightSlot_Active	=5
.equ	_SlotCheck			=6



;Status1 Flagregister
.equ	Status1			=GPIOR1



.equ	LED_Anode		=PortB
.equ	LED_Cathode		=PortA
.equ	LED_red			=5
.equ	LED_green		=4
.equ	LED_blue		=6	


.equ	DebugPIN			=PinA
.equ	SnifPin				=6




;SRAM
.dseg
.org $0060
 DebugBuffer:					.Byte 180
 Debug_CT:						.Byte 1
 Voltage_LeftSlot:				.Byte 2
 Current_LeftSlot:				.Byte 2
 Voltage_LeftSlot_Max:			.Byte 2
 Voltage_LeftSlot_Old:			.Byte 2
 
 Voltage_RightSlot:				.Byte 2
 Current_RightSlot:				.Byte 2
 Voltage_RightSlot_Max:			.Byte 2
 Voltage_RightSlot_Old:			.Byte 2

;EEPROM:
.eseg
.org	$0000




//End of File//